## Struct template as_action_adapter

boost::log::as_action_adapter — Function object adapter for Boost.Spirit actions.

## Synopsis

    // In header: <boost/log/utility/functional/as_action.hpp>

    template<typename FunT>
    struct as_action_adapter {
      // types
      typedef FunT::result_type result_type;

      // public member functions
      as_action_adapter() = default;
      explicit as_action_adapter(FunT const &);
      template<typename AttributeT, typename ContextT>
        result_type operator()(AttributeT const &, ContextT const &, bool &) const;
    };

## Description

### `as_action_adapter` public member functions

1.     as_action_adapter() = default;

2.     explicit as_action_adapter(FunT const & fun);

3.     template<typename AttributeT, typename ContextT>
         result_type operator()(AttributeT const & attr, ContextT const & ctx,
                                bool & pass) const;